﻿<template>
  <PageWrapper :class="`${prefixCls}`" dense contentFullHeight fixedHeight>

    <Splitpanes class="default-theme" :push-other-panes="false" style="height: 100%">
      <Pane min-size="12" size="12">
        <LeftNav></LeftNav>
      </Pane>
      <Pane min-size="50" size="73" >
        <ScrollContainer class="p-8">
          <Editor></Editor>
        </ScrollContainer>
      </Pane>
      <Pane min-size="5" size="15">右</Pane>
    </Splitpanes>
  </PageWrapper>
</template>

<script lang="ts" setup>
import {PageWrapper} from '@/components/Page';
import {onMounted} from 'vue';
import {useDesign} from "@/hooks/web/useDesign";
import {Splitpanes, Pane} from 'splitpanes';
import 'splitpanes/dist/splitpanes.css';
import LeftNav from './components/LeftNav.vue';
import Editor from './components/Editor.vue';
import ScrollContainer from "@/components/Container/src/ScrollContainer.vue";

onMounted(() => {
  Logger.log('Hello, Logger!1');
});
const {prefixCls} = useDesign('email');

</script>

<style lang="less" scoped>
@prefix-cls: ~'@{namespace}-email';
.@{prefix-cls} {
  .splitpanes__pane {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--component-background-color)
  }
}
</style>
